net.sf.jasperreports.engine.type

## Enum TabStopAlignEnum

- java.lang.Object
- - java.lang.Enum<TabStopAlignEnum>
  - - net.sf.jasperreports.engine.type.TabStopAlignEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TabStopAlignEnum>, JREnum, NamedEnum

      public enum TabStopAlignEnum
      extends java.lang.Enum<TabStopAlignEnum>
      implements JREnum

  Version:
    $Id: TabStopAlignEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER`
    `LEFT`
    `RIGHT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TabStopAlignEnum` | `getByName(java.lang.String name)`
    `static TabStopAlignEnum` | `getByValue(byte value)`
    `static TabStopAlignEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static TabStopAlignEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TabStopAlignEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final TabStopAlignEnum LEFT

    - #### CENTER

          public static final TabStopAlignEnum CENTER

    - #### RIGHT

          public static final TabStopAlignEnum RIGHT

  - ### Method Detail

    - #### values

          public static TabStopAlignEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TabStopAlignEnum c : TabStopAlignEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TabStopAlignEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static TabStopAlignEnum getByName(java.lang.String name)

    - #### getByValue

          public static TabStopAlignEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static TabStopAlignEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com